classification
Title: invisible sidebar content with code snippets
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Docs layout bug
View: 24918
Assigned To: docs@python Nosy List: berker.peksag, docs@python, ezio.melotti, georg.brandl, terry.reedy, xwhhsprings
Priority: normal Keywords:

Created on 2015-11-25 10:47 by xwhhsprings, last changed 2016-01-09 20:20 by r.david.murray. This issue is now closed.

Messages (10)
msg255334 - (view) Author: hiroaki itoh (xwhhsprings) Date: 2015-11-25 10:47
I think this is maybe known problem, but checking duplication of this issue is very hard because searching it with keyword 'sidebar' hit too many.

Please see details in https://bitbucket.org/hhsprings/nothing.but.only.for.some.kind.of.collabo/wiki/%5Bdocs.python.org%5D%20invisible%20sidebar%20content%20with%20code%20snippets .

I think, this can be fixed by inserting style overriding background to default.css.
msg255378 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-11-25 18:20
Hiroaki, please include a bit of text explanation.  What 'default.css' are you referring to?  If it is a Sphinx file and not in the CPython repository /Doc, then this should be closed here and reopened on the separate Sphinx tracker.

In any case, this is not a security issue for python code, and hence not for 3.2, 3,3.  3.4 will be security patch only in a few weeks.
msg255381 - (view) Author: hiroaki itoh (xwhhsprings) Date: 2015-11-25 19:41
Ah, sorry I'd mistaked.

I don't know if this is Sphinx issue, but CPython repo has Doc/tools/static, Doc/tools/templates, so I still think, this can be fixed by customizing these, for example overriding style at layout.html.
msg255383 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-11-25 20:25
Can you create either a specific patch or perhaps more important a test that fails now but should pass with a proper patch?
msg255385 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-11-25 20:34
Since it is a visual issue and we have no infrastructure for that kind of web view testing, I don't think a test is possible.
msg255404 - (view) Author: hiroaki itoh (xwhhsprings) Date: 2015-11-26 09:06
Because there are a couple of ways (places) to fix this, I'll try them, so please wait. For testing, I think we can only visit all htmls manually and I'll make an effort.
msg255420 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-11-26 14:56
I intentionally said 'test' rather than 'unittest' or 'automated test' to allow for the possibility of a human-operated view test script posted here on the issue.  

IDLE now has a view test framework to run tests for either one or all modules with visual displays.  For all:
  python -m idlelib.idle_test.htest
This has been very useful when modifying files.
msg255427 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-11-26 17:09
Ah, I see what you mean.  It's still tricky for web stuff, though, because what you see can completely depend on things like window size and browser version.  So a detailed description of how to produce the error would be good, and we'll see if we actually can :)
msg256243 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-12-11 23:22
This can be reproduced at https://docs.python.org/3/faq/windows.html

You can find the CSS file at Doc/tools/pydoctheme/static/pydoctheme.css. You can override .highlight there, but the actual problem is that Sphinx creates the outer highlight-python3 div with "position: relative;". I think your CSS fix is good enough to commit. Thanks!
msg257828 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-01-09 13:50
This is a duplicate of #24918, which also has a couple of patches that seem to fix the problem.
History
Date User Action Args
2016-01-09 20:20:05r.david.murraysetnosy: - r.david.murray
2016-01-09 13:51:22ezio.melottisetstatus: open -> closed
resolution: duplicate
stage: test needed -> resolved
2016-01-09 13:50:38ezio.melottisetsuperseder: Docs layout bug
messages: + msg257828
2015-12-11 23:22:45berker.peksagsetnosy: + berker.peksag
messages: + msg256243
2015-11-26 17:09:31r.david.murraysetmessages: + msg255427
2015-11-26 14:56:49terry.reedysetmessages: + msg255420
2015-11-26 09:06:57xwhhspringssetmessages: + msg255404
2015-11-25 20:34:10r.david.murraysetnosy: + r.david.murray
messages: + msg255385
2015-11-25 20:25:36terry.reedysetmessages: + msg255383
stage: needs patch -> test needed
2015-11-25 19:41:31xwhhspringssetmessages: + msg255381
2015-11-25 18:20:44terry.reedysetmessages: + msg255378
versions: - Python 3.2, Python 3.3, Python 3.4
2015-11-25 11:00:00ezio.melottisetnosy: + terry.reedy, georg.brandl, ezio.melotti, docs@python
assignee: docs@python
components: + Documentation
type: behavior
stage: needs patch
2015-11-25 10:47:41xwhhspringscreate